Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Bauteil Bemaßen per API

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Direct Editing in SOLIDWORKS
Autor Thema:   Bauteil Bemaßen per API (1131 mal gelesen)
Schalala
Mitglied



Sehen Sie sich das Profil von Schalala an!   Senden Sie eine Private Message an Schalala  Schreiben Sie einen Gästebucheintrag für Schalala

Beiträge: 17
Registriert: 04.08.2015

Win 7 64-bit<P>SolidWorks 2014 x64 Edition<P>Visual Stuio 2013

erstellt am: 05. Jan. 2016 12:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Frage_CAD-Forum.JPG

 
Frohes neues Jahr.

Ich habe mal wieder eine Frage bezüglich der SolidWorks-API. Wenn ich Zeichnungen bemaßen möchte, gibt es einen Befehl, der mir das ausführt, was auf dem beigefügten Bild zu finden ist? Habe schon die API-Hilfe durchstöbert, habe aber keine Lösung gefunden.

Wenn Ich es mit:

Code:

swDrawing.InsertModelAnnotations3((int)swImportModelItemsSource_e.swImportModelItemsFromEntireModel(int)swInsertAnnotation_e.swInsertDimensionsMarkedForDrawing, false, true, false, false);

mache, dann bekomme ich immer alle Bamßungen, die im Bauteil vorhanden sind. Das hilft mir aber nicht weiter.

Habt ihr einen guten Ratschlag?

[Diese Nachricht wurde von Schalala am 05. Jan. 2016 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Schalala
Mitglied



Sehen Sie sich das Profil von Schalala an!   Senden Sie eine Private Message an Schalala  Schreiben Sie einen Gästebucheintrag für Schalala

Beiträge: 17
Registriert: 04.08.2015

Win 7 64-bit<P>SolidWorks 2014 x64 Edition<P>Visual Stuio 2013

erstellt am: 05. Jan. 2016 13:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Und direkt eine Frage hinterher. Wenn man ein Macro mit SW aufnimmt, dann ist es ja bekannt, dass die meisten Werte in einer sehr seltsamen Dimensiion sind.

Aber warum gibt es wenn man etwas in einer Zeichnung markiert einen Wert für Z?

Code:

boolstatus = swDoc.Extension.SelectByID2("", "VERTEX", 10350168837535344, 16765270257516308, -49997888404689992, false, 0, null, 0);

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andi Beck
Ehrenmitglied V.I.P. h.c.
Konstrukteur



Sehen Sie sich das Profil von Andi Beck an!   Senden Sie eine Private Message an Andi Beck  Schreiben Sie einen Gästebucheintrag für Andi Beck

Beiträge: 2337
Registriert: 02.10.2006

Firma: SW 2019-5.0 + PDM Prof.
Windows 10 Pro 64bit, i7-2600K
3,4 GHz, 16 GbRAM, Quadro K2000
250GB SSD
Home:
SW 2018-5.0
SW 2019-5.0
SW 2020-3.0
Passungstabelle von Heinz
Windows 10 Home 64bit,
i7-860, 3,1 GHz, 16 GbRAM, GeForce GTX 1050Ti
Samsung SSD 860EVO, 500GB
Samsung C34H892, 3440 x 1440 Pixel

erstellt am: 05. Jan. 2016 14:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Schalala 10 Unities + Antwort hilfreich


3D-Zeichenansicht-1.png


3D-Zeichenansicht-2.png

 
Hallo,
weil die Zeichenansichten auf der Zeichnung keine 2D sondern immer kpl. 3D-Ansichten sind.
Deshalb dauern die Zeichnungen beim Aufbau auch immer so lange.
Weil jede Ansicht kpl. in 3D berechnet werden muss.
Hier wirken sich übrigens mehrere Kerne (auch HT) des Prozessors aus.
Jeder Kern kann eine andere Zeichenansicht aufbauen.

Grüße, Andi

------------------
Hast du kein Problem?
Such dir eins. ( Und löse es )

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Schalala
Mitglied



Sehen Sie sich das Profil von Schalala an!   Senden Sie eine Private Message an Schalala  Schreiben Sie einen Gästebucheintrag für Schalala

Beiträge: 17
Registriert: 04.08.2015

Win 7 64-bit<P>SolidWorks 2014 x64 Edition<P>Visual Stuio 2013

erstellt am: 05. Jan. 2016 14:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Das bringt mich direkt zu den nächsten Fragen.

1. Wenn ich jetzt also per Makro z.B. eine Bauteilkante auswählen möchte, muss ich bei der SelectById-Funktion auch die Z-Variante angeben?
2. Woher weiß ich, welche Ebene auf dem Blatt auf 0 liegt. Oder wie kann man an die Z-Koordinaten rankommen, bzw. diese berechnen?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Konstrukteur Sondermaschinenbau



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2458
Registriert: 18.07.2012

-Solid Works 2019 SP3
-Pro Engineer WF 3

erstellt am: 07. Jan. 2016 07:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Schalala 10 Unities + Antwort hilfreich

Zitat:
Wenn Ich es mit:
Code:

swDrawing.InsertModelAnnotations3((int)swImportModelItemsSource_e.swImportModelItemsFromEntireModel(int)swInsertAnnotation_e.swInsertDimensionsMarkedForDrawing, false, true, false, false);

mache, dann bekomme ich immer alle Bamßungen, die im Bauteil vorhanden sind. Das hilft mir aber nicht weiter.


Hast du im Modell auch Maße die nicht in die Zeichnung importiert werden sollen entsprechend definiert. Weil wenn der entsprechende Haken nicht gesetzt ist sollten diese Maße auch nicht importiert werden.

Denn Haken könntest du mit der "MarkedForDrawing Property (IDisplayDimension)" setzen.

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz